View unanswered posts | View active topics It is currently Thu Jul 31, 2014 9:31 am



Post new topic Reply to topic  [ 43 posts ]  Go to page 1, 2, 3, 4, 5  Next
 Problems installing OpenRPG on OS X 10.6 
Author Message

Joined: Sun Aug 01, 2010 3:40 am
Posts: 8
Post Problems installing OpenRPG on OS X 10.6
I am having some trouble installing OpenRPG on my Mac. I'm running OS X 10.6. I've already installed the latest Python and wxPython 2.8. After downloading OpenRPG, I opened start_client.py and got the following message:

#!/usr/bin/env python

import sys#!/usr/bin/env python

import sys
import os, os.path
import runpy

runpy.run_module('updater.gui', run_name='__main__', alter_sys=True)

import pyver
pyver.checkPyVersion()

from orpg.orpg_wx import *
import orpg.main
from orpg.tools.orpg_log import logger

if __name__ == "__main__":
os.chdir(os.path.abspath(os.path.dirname(sys.argv[0])))
if WXLOADED:
mainapp = orpg.main.orpgApp(0)
mainapp.MainLoop()
else:
logger.exception("You really really need wx!")

I have no experience using Terminal, and have no idea what any of this means. Like I said, I installed wxPython, so I don't know what happened. Any help would be awesome.


Sun Aug 01, 2010 3:46 am
Profile

Joined: Thu Dec 10, 2009 6:37 am
Posts: 335
Post Re: Problems installing OpenRPG on OS X 10.6
How did you get that message? That doesn't look like an error message as much as simply the first part of the file, start_client.py. What program is it that is creating that error?

Also try running the system_check.py and post the results of file openrpg_sysinfo.txt here please.


Mon Aug 02, 2010 8:32 pm
Profile

Joined: Sun Aug 01, 2010 3:40 am
Posts: 8
Post Re: Problems installing OpenRPG on OS X 10.6
davidbyron wrote:
How did you get that message? That doesn't look like an error message as much as simply the first part of the file, start_client.py. What program is it that is creating that error?

Also try running the system_check.py and post the results of file openrpg_sysinfo.txt here please.

The program that gave me that message was IDLE. Opening system_check.py (again, default opening with IDLE) gives me the following:

import sys
import time
import platform
import wx
import orpg.orpg_version

class system_check:

def start(self,log_file='openrpg_sysinfo.txt'):
self.log_file = open(log_file,'w')
self.log_file.write("OpenRPG System Info " + time.strftime( '%m-%d-%y', time.localtime( time.time() ) ))
self.check_openrpg()
self.check_py()
self.check_wxpython()
self.check_platform()
self.log_file.close()

def check_wxpython(self):
self.log_file.write("\nwxPython Version: " + wx.__version__)

def check_py(self):
self.log_file.write("\nPython: " + sys.version)

def check_platform(self):
self.log_file.write("\nPlatform: " + platform.platform())

def check_openrpg(self):
self.log_file.write("\nOpenRPG Version: " + orpg.orpg_version.VERSION)
self.log_file.write("\nOpenRPG Build: " + orpg.orpg_version.BUILD)



if __name__ == "__main__":
syscheck = system_check()
syscheck.start()

Again, I have absolutely NO experience using Python or console, so all of this might as well be in Ancient Egyptian to me at this point :p

I read in another Mac help thread to try running start_client.py using Python Launcher as the default program. I've tried that and it gives me this (edited to remove my name and such):

'/Applications/OpenRPG1.8.0/' && '/usr/bin/pythonw' '/Applications/OpenRPG1.8.0/start_client.py' && echo Exit status: $? && exit 1
Traceback (most recent call last):
File "/Applications/OpenRPG1.8.0/start_client.py", line 7, in <module>
runpy.run_module('updater.gui', run_name='__main__', alter_sys=True)
File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/runpy.py", line 135, in run_module
File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/runpy.py", line 54, in _run_module_code
File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/runpy.py", line 34, in _run_code
File "/Applications/OpenRPG1.8.0/updater/gui.py", line 8, in <module>
import wx
File "/var/tmp/wxWidgets/wxWidgets-13~231/2.6/DSTROOT/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/wx-2.8-mac-unicode/wx/__init__.py", line 45, in <module>

File "/var/tmp/wxWidgets/wxWidgets-13~231/2.6/DSTROOT/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/wx-2.8-mac-unicode/wx/_core.py", line 4, in <module>
ImportError: /System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/wx-2.8-mac-unicode/wx/_core_.so: no appropriate 64-bit architecture (see "man python" for running in 32-bit mode)



Does this help explain what's going on?


Mon Aug 02, 2010 9:31 pm
Profile
User avatar

Joined: Wed Dec 09, 2009 9:39 pm
Posts: 712
Post Re: Problems installing OpenRPG on OS X 10.6
You are using a 64 bit machine and have installed 32 bit Python ??

Yes, you use the python launcher. IDLE is an editing environment.

_________________
I ate your Death Knell.
The Traipse Movement
Please show your support for Traipse OpenRPG http://www.facebook.com/MadMathLabs
Send me Traipse OpenRPG Ideas, Bugs, Complaints, Praises here: https://getsatisfaction.com/mml


Mon Aug 02, 2010 9:41 pm
Profile YIM WWW

Joined: Sun Aug 01, 2010 3:40 am
Posts: 8
Post Re: Problems installing OpenRPG on OS X 10.6
I downloaded what I thought was the correct Python. I saw "10.4 through 10.6" and assumed that was the one I wanted. So I suppose I should uninstall everything and try again?

EDIT:
I uninstalled Python and wxPython and tried again with the Python 2.7 PPC/i386/x86-64 Max OS X Installer Disk Image version that's on the Python website. I'm still getting the 32-bit error message.


Mon Aug 02, 2010 10:00 pm
Profile

Joined: Thu Dec 10, 2009 6:37 am
Posts: 335
Post Re: Problems installing OpenRPG on OS X 10.6
Alrighty then so the initial mistake was using IDLE -- the free Pythion editor -- to try running the Python file. OK solved that.

Running python properly you got an error because you're 64 bit. OK so you re-installed your Python / wxPython.

Still getting a similar error.

Is your wxPython 64 bit too? wxPython has two versions for each version of Python; 32 or 64 bit varieties.


Tue Aug 03, 2010 8:45 pm
Profile

Joined: Sun Aug 01, 2010 3:40 am
Posts: 8
Post Re: Problems installing OpenRPG on OS X 10.6
I'm not sure if my wxPython is 32-bit. The only Mac versions I see on the wxPython Download screen are the Unicode and the ANSI versions. Is ANSI the 64-bit one? I originally downloaded the Unicode version.

EDIT: Uninstalled wxPython and installed ANSI version. Still the same result.


Tue Aug 03, 2010 10:28 pm
Profile
User avatar

Joined: Wed Dec 09, 2009 9:39 pm
Posts: 712
Post Re: Problems installing OpenRPG on OS X 10.6
That will not make a difference. It does not look like there is a 64 bit version of wx.Python for Mac, so you will have to run it in 32 bit mode.

_________________
I ate your Death Knell.
The Traipse Movement
Please show your support for Traipse OpenRPG http://www.facebook.com/MadMathLabs
Send me Traipse OpenRPG Ideas, Bugs, Complaints, Praises here: https://getsatisfaction.com/mml


Tue Aug 03, 2010 10:48 pm
Profile YIM WWW
User avatar

Joined: Wed Dec 09, 2009 9:39 pm
Posts: 712
Post Re: Problems installing OpenRPG on OS X 10.6
This should help: http://community.activestate.com/forum/ ... ow-leopard

_________________
I ate your Death Knell.
The Traipse Movement
Please show your support for Traipse OpenRPG http://www.facebook.com/MadMathLabs
Send me Traipse OpenRPG Ideas, Bugs, Complaints, Praises here: https://getsatisfaction.com/mml


Tue Aug 03, 2010 10:50 pm
Profile YIM WWW

Joined: Sun Aug 01, 2010 3:40 am
Posts: 8
Post Re: Problems installing OpenRPG on OS X 10.6


This could potentially help, but I have no idea how to implement the suggestions.

EDIT: I finally figured out how to pull up "man python" and saw how that says to switch over to 32-bit mode, but every time I enter the command it says to use, I get "SyntaxError: invalid syntax." All this programming moonspeak is starting to get very discouraging. I just want to game with my friend who just moved across the country. :cry:


Tue Aug 03, 2010 11:09 pm
Profile
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 43 posts ]  Go to page 1, 2, 3, 4, 5  Next


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by Vjacheslav Trushkin for Free Forums/DivisionCore.